Package org.apache.datasketches.quantilescommon

# Interface QuantilesDoublesSketchIterator

All Superinterfaces:
  `QuantilesSketchIterator`

All Known Implementing Classes:
  `DoublesSketchIterator`, `KllDoublesSketchIterator`

public interface QuantilesDoublesSketchIterator extends QuantilesSketchIterator
The quantiles sketch iterator for primitive type double.

Author:
  Lee Rhodes
See Also:
  - `QuantilesSketchIterator`

## Method Summary

Modifier and Type
Method
Description
`double`
`getQuantile()`
Gets the double quantile at the current index.

### Methods inherited from interface org.apache.datasketches.quantilescommon.QuantilesSketchIterator

`getWeight, next`

## Method Details

### getQuantile

double getQuantile()
Gets the double quantile at the current index.

Don't call this before calling next() for the first time or after getting false from next().

Returns:
  the double quantile at the current index.